質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.35%

  • Python 3.x

    7374questions

    Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

  • MacOS(OSX)

    2034questions

    MacOSとは、Appleの開発していたGUI(グラフィカルユーザーインターフェース)を採用したオペレーションシステム(OS)です。Macintoshと共に、市場に出てGUIの普及に大きく貢献しました。

Mac環境(ホスト)にpython 3系をインストールしたい

解決済

回答 2

投稿

  • 評価
  • クリップ 0
  • VIEW 567

marimo.

score 40

mac(ホストPC)にpython3系をinstallしようとして、躓いてしまいました。
どなたかアドバイスの程よろしくお願い致します。

環境:
Mac Sierra ver.10.12.3
Homebrew 1.1.10
Homebrew/homebrew-core (git revision 1698; last commit 2017-03-01)

$ brew search python
app-engine-python          gst-python                 python                     python3                    zpython
boost-python               micropython                python-markdown            wxpython
homebrew/apache/mod_python                   Caskroom/cask/kk7ds-python-runtime           Caskroom/cask/mysql-connector-python

$ brew install python3
Error: You must `brew link pkg-config` before python3 can be installed

$ brew link pkg-config
Linking /usr/local/Cellar/pkg-config/0.29.1_2...
Error: Could not symlink bin/pkg-config
Target /usr/local/bin/pkg-config
is a symlink belonging to pkg-config. You can unlink it:
  brew unlink pkg-config

To force the link and overwrite all conflicting files:
  brew link --overwrite pkg-config

To list all files that would be deleted:
  brew link --overwrite --dry-run pkg-config

$ brew unlink pkg-config
Unlinking /usr/local/Cellar/pkg-config/0.29.1_2... 0 symlinks removed

$ brew link pkg-config
Linking /usr/local/Cellar/pkg-config/0.29.1_2...
Error: Could not symlink bin/pkg-config
Target /usr/local/bin/pkg-config
is a symlink belonging to pkg-config. You can unlink it:
  brew unlink pkg-config

To force the link and overwrite all conflicting files:
  brew link --overwrite pkg-config

To list all files that would be deleted:
  brew link --overwrite --dry-run pkg-config
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

check解決した方法

0

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

0

pyenvを利用すると非常に簡単にインストールできましたが、そちらを利用することは想定されていませんか?

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/03/02 17:10

    pyenvは「Pythonのバージョンを簡単に切り替えられるツール」という認識を当方は持っています。
    今回はpython3系がinstallできない、ということなのでpyenvは関係ないと思うのですが認識が間違っていますでしょうか?
    pyenvについては以上のように理解しているため回答者さんの「pyenvを利用すると非常に簡単にインストール」というのがよくわかりません…申し訳ありませんが説明お願いできますでしょうか?

    キャンセル

  • 2017/03/02 17:17

    あ、すいません。
    自分の理解不足だったようです。pyenvで環境の切り替えもできるし、python環境構築ができる=python3系のinstallもできる、のですね。
    間違った理解でしたらご指摘ください。

    キャンセル

同じタグがついた質問を見る

  • Python 3.x

    7374questions

    Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

  • MacOS(OSX)

    2034questions

    MacOSとは、Appleの開発していたGUI(グラフィカルユーザーインターフェース)を採用したオペレーションシステム(OS)です。Macintoshと共に、市場に出てGUIの普及に大きく貢献しました。